/**
 * 营销广告展位
 */
// @ts-nocheck
Component({
  data: {
    isReady: false,
    pluginAppId: '2021002191638959',
    pluginPageUrl: '',
    pluginVersion: '*',
    propsData: {
      shopId: '' // 当前shopId

    }
  },
  props: {
    componentData: {
      componentExtInfo: {}
    }
  },

  didMount() {
    this.setData({
      propsData: this.props.componentData.componentExtInfo || {}
    });
    this.loadPlugin();
  },

  methods: {
    loadPlugin() {
      const {
        pluginAppId,
        pluginVersion
      } = this.data;
      const that = this;
      my.loadPlugin({
        plugin: `${pluginAppId}@${pluginVersion}`,
        success: () => {
          that.setData({
            isReady: true
          });
        }
      });
    }

  }
});